package com.bytedance.android.livesdk.microom;

import X.0CB;
import X.0CH;
import X.6Is;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;

public final class MicRoomBackUpTipsWidget extends LiveRecyclableWidget implements 6Is {
    static {
        Covode.recordClassIndex(18796);
    }

    public final int getLayoutId() {
        return 2131561949;
    }

    public final void onInit(Object[] objArr) {
    }

    public final void onLoad(Object[] objArr) {
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void onUnload() {
    }
}
